Short Link
Returns the properties of the specified short link, including the associated entity ID, entity type, and expiration date. Access to email-package short links is allowed without authentication when the package access control is set to no-auth.
Parameters
Path Parameters
ref
Required
string
The ref value of the short link
Query Parameters
mode
Optional
string
Determines the detail level of the response body.
Responses
Short link details retrieved successfully.
expire
string
Date and time after which the shortlink becomes invalid and can no longer be used
entityTypeId
integer
Unique identifier of the entity type this shortlink is associated with
entityId
string
Unique identifier of the entity this shortlink points to, returned as a GUID from version 19 onwards
entityTypeName
string
Human-readable name of the entity type this shortlink is associated with
links
string[]
HATEOAS links associated with the entity
Request blocked by WAF
Empty response body.
Shell
curl -X GET \
"https://{instance}.kiteworks.com/rest/shortLinks/:ref" \
-H "Authorization: Bearer YOUR_TOKEN"Python
import requests
ref = "VALUE" # The ref value of the short link
url = f"https://{{instance}}.kiteworks.com/rest/shortLinks/{ref}"
headers = {
"Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())Responses
{
"entityTypeId": 1,
"entityId": "a1b2c3d4-e5f6-4789-abcd-ef1234567890",
"entityTypeName": "object",
"expire": null
}
// Error - No Body
